Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1103813

Summary: Feature Request: Please add armhf support for "arm Debian" channel
Product: [Community] Spacewalk Reporter: Carsten Menzel <carsten.menzel>
Component: ServerAssignee: Michael Mráka <mmraka>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satqe-list>
Severity: low Docs Contact:
Priority: unspecified    
Version: 2.1   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: spacewalk-schema-2.2.31-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-17 08:40:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1119298    
Attachments:
Description Flags
add Debian armhf support in "arm Debian" channel type
none
db schema extension for armhf packages and armv6l-debian-linux architecture none

Description Carsten Menzel 2014-06-02 15:52:45 UTC
Created attachment 901486 [details]
add Debian armhf support in "arm Debian" channel type

To be able to manage Raspberry Pi machines with Raspbian, it is necessary, to push the armhf packages to a newly created "arm Debian" channel for Raspbian.

Currently pushing deb-armhf packages (e.g. http://archive.raspbian.org/raspbian/pool/main/libm/libmimic/libmimic0_1.0.4-2.1_armhf.deb) to an "arm Debian" channel results in an InvalidArchError.

Checking the sourcecode of the SPACEWALK-2.1 branch, I saw, that the architectures are stored in the database and the necessary entries must be created in the tables "rhnPackageArch", "rhnChannelPackageArchCompat" and "rhnPackageUpgradeArchCompat".

Please find attached a patch for the SQL schema.

It would be nice, if the support for armhf and armel could be added in a future release.
I think, the "arm Debian" channel was meant for this.

Regards
Carsten

Comment 1 Carsten Menzel 2014-06-04 12:56:53 UTC
Created attachment 902169 [details]
db schema extension for armhf packages and armv6l-debian-linux architecture

Comment 2 Michael Mráka 2014-07-04 10:15:52 UTC
Pushed into spacewalk master as
commit f86ef97a6e2fae69914381c36b84669b6f8d31b5
    1103813 - schema upgrade for armhf support for "arm Debian"
commit 1ac47b19385a64dc44c2d9e79cb6c65df9664d8a
    1103813 - add server architecture "armv6l-debian-linux" to sql schema, so that raspbian machines can be registered at a spacewalk server
commit 4495dac18db024c48cb4cf15cf96f254d5f5238e
    1103813 - Add armhf support for "arm Debian" channel (needed for Raspbian for example)

Comment 3 Milan Zázrivec 2014-07-17 08:40:50 UTC
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22